Skip to main content
PATCH
Update External Account

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

business_id
string<biz_string>
required

The id of the business

Example:

"biz_GA6EG2qFxA97NZHtxeLPUy"

external_account_id
string<eac_string>
required

The id of the external account

Example:

"eac_9p2Fp7gra8aCVNvCSekUyK"

Body

application/json
status
enum<string> | null

The updated status of the External Account

Available options:
connected,
disconnected,
untracked
Example:

"connected"

disconnected_at
string<date-time> | null

The datetime when the External Account is disconnected

cursor
string | null

The Plaid cursor of the External Account

last_synced_at
string<date-time> | null

The datetime when the External Account was last synced

last_balanced_at
string<date-time> | null

The datetime when the External Account was last balanced

external_balance

The current balance of the External Account

Response

Successful Response

business_id
string<biz_string>
required

The ID of the Business associated with the External Account

Example:

"biz_Pk2fNFDd8wj7EFeLWJywc7"

type
enum<string>
required

The type of the External Account

Available options:
business,
personal
Examples:

"business"

"personal"

source
enum<string>
required

The source of the External Account

Available options:
manual,
plaid,
statements,
gusto,
stripe
Examples:

"manual"

"plaid"

external_id
string | null
required

The external ID of the External Account

Maximum string length: 255
Example:

"1234567890"

disconnected_at
string<date-time> | null
required

Datetime when the external account was disconnected

last_synced_at
string<date-time> | null
required

Datetime when the external account was last synced

last_balanced_at
string<date-time> | null
required

Datetime when the external account was last balanced

external_balance
number | null
required

The current balance of the External Account

Example:

3512.85

last_statement_end_date
string<date-time> | null
required

Datetime when the external account balance was last updated

id
string<eac_string>
required

The ID of the External Account

Example:

"eac_Ns6rRRLYVZPh4cVB7MDby5"

ledger_id
string<ldg_string> | null

The ID of the Bank Ledger associated with the Business External Account

Example:

"ldg_Ns6rRRLYVZPh4cVB7MDby5"

contribution_ledger_id
string<ldg_string> | null

The ID of the Contribution Ledger associated with the Personal External Account

Example:

"ldg_Ns6rRRLYVZPh4cVB7MDby5"

distribution_ledger_id
string<ldg_string> | null

The ID of the Distribution Ledger associated with the Personal External Account

Example:

"ldg_Ns6rRRLYVZPh4cVB7MDby5"

financial_account_type
enum<string> | null

The type of real-world financial account this External Account represents

Available options:
bank_account,
credit_card,
prepaid_card,
payments,
payroll,
loan,
accounts_receivable,
accounts_payable
Example:

"bank_account"

metadata_
Metadata · object | null
name
string | null

The name of the External Account

Maximum string length: 255
Example:

"ABC Business Checking"

mask
string | null

The mask of the External Account

Maximum string length: 255
Example:

"1234"

linked_item_id
string<lni_string> | null

The ID of the Linked Item associated with the External Account

Example:

"lni_R2fAXCjqJPdpYata112zyW"

status
enum<string>
default:connected

The status of the External Account

Available options:
connected,
disconnected,
untracked
Examples:

"connected"

"disconnected"

currency
string
default:USD

ISO 4217 currency code for this account.

Examples:

"USD"

"CAD"

institution_name
string | null

The name of the institution associated with the External Account, if any

Example:

"Chase Bank"